Subject: Re: What's cooking in git.git (Sep 2021, #06; Mon, 20)

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Sep 2021 09:36:32 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/sanitize-leak-ci (2021-09-20) 2 commits
>>  - tests: add a test mode for SANITIZE=leak, run it in CI
>>  - Makefile: add SANITIZE=leak flag to GIT-BUILD-OPTIONS
>>
>>  CI learns to run the leak sanitizer builds.
>>
>>  Will merge to 'next'?
>
> Yes please, as noted in
> https://lore.kernel.org/git/[email-masked]/ more
> leak fixes are waiting on this.

Isn't the direction of dependency the other way?  Once fixes go in,
checks will no longer complain, but until fixes are reviewed and
applied, checking at CI will break the testing and this would need
working around by marking various tests as "not ready to be tested".

> It seems due to the size of this series we might be better off splitting
> up this already split-up series.
>
> I was trying to convince you to merge down the much more trivial changes
> up to the <mark0> above, which are purely build system prep work. Any
> chance you'd reconsider?
>
> I think a plan that might be better would be:
>
>  1. Eject both ab/config-based-hooks-base & es/config-based-hooks
>  2. I'd submit a series up to the <mark0>, hopefully that can land fairly
>     soon thereafter.
>  3. Once that's in, another one for <mark0>..<mark1>, i.e. the "git hook
>     run" command, but only the more basic bits, and migrating fairly
>     simple hooks.
>  4. Then <mark1>..<mark2>, followed by <mark2>..ab/config-based-hooks-base
>  5. Then Emily's es/config-based-hooks.
>
> That's converting a 2-step process (ab/config-based-hooks-base +
> es/config-based-hooks) into 5 steps, but I suspect it would go faster,
> right now it seems there's no takers for a review of this rather large
> series. What do you & Emily think?

Today I learned a phrase "six of one and half a dozen of another" ;-)

I have been wondering if something like a book reading club is
doable on the list.  A chairperson nominates (and perhaps resends) a
series of patches that is of manageable size to be reviewed, perhaps
even prime the discussion with some comments, likeminded folks chime
in and we end up with a reviewed series?